Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.model
Class ConfigurationAuthorization

    java.lang.Object
      com.pmease.quickbuild.model.Persistent
          com.pmease.quickbuild.model.ConfigurationAuthorization

public class ConfigurationAuthorization
extends Persistent

This class maintains permission relationship between `Group` and `Configuration`

Author:
  robin shine

Field Summary
`static java.util.Comparator` | `COMPARATOR`

Constructor Summary
`ConfigurationAuthorization()`

Method Summary
`Configuration` | `getConfiguration()` Specify the configuration subtree you want to set permission on.
`java.util.Date` | `getCreateDate()`
`Group` | `getGroup()` Get group of this authorization.
`ConfigurationPermissionEnum` | `getPermission()` Specify permission for current configuration.
`boolean` | `isSelected()`
`void` | `setConfiguration(Configuration configuration)`
`void` | `setCreateDate(java.util.Date createDate)`
`void` | `setGroup(Group group)`
`void` | `setPermission(ConfigurationPermissionEnum permission)`
`void` | `setSelected(boolean selected)`

Methods inherited from class com.pmease.quickbuild.model.Persistent
`equals, getEntityVersion, getId, hashCode, setEntityVersion, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPARATOR

    public static final java.util.Comparator COMPARATOR

Constructor Detail

### ConfigurationAuthorization

    public ConfigurationAuthorization()

Method Detail

### getGroup

    public Group getGroup()

  Get group of this authorization.

  Returns:

### setGroup

    public void setGroup(Group group)

### getConfiguration

    public Configuration getConfiguration()

  Specify the configuration subtree you want to set permission on.
  NOTE: If a particular configuration is affected by multiple permission lines, the actual permission will be the maximum possible permission set on that configuration.

  Returns:

### setConfiguration

    public void setConfiguration(Configuration configuration)

### getPermission

    public ConfigurationPermissionEnum getPermission()

  Specify permission for current configuration.
  View: Be able to view and access artifacts of all configurations under the specified subtree. Build: Be able to build all configurations under the specified subtree.
  Admin: Be able to administrate all configurations unde the specified subtree.

  Returns:

### setPermission

    public void setPermission(ConfigurationPermissionEnum permission)

### isSelected

    public boolean isSelected()

### setSelected

    public void setSelected(boolean selected)

### getCreateDate

    public java.util.Date getCreateDate()

  Returns:

### setCreateDate

    public void setCreateDate(java.util.Date createDate)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.